/* don't put anything else in here this is only for the index.php page video header. Scroll and sticky menu isn't working on index page with this one. If I can remove the text on the video, then no probmem I can add this to global.css. but, as long as we have the text on the video we must use this method. */
/*video header start*/
header.video-and-text-header {
    position: relative;
    background-color: black;
    height: 100vh;/*was 75*/
    min-height: 25rem;
    width: 100%;
    overflow: hidden;
  }
  
  header.video-and-text-header video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
  }
  
  header.video-and-text-header .container {
    position: relative;
    z-index: 2;
  }
  
  header.video-and-text-header .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.5;
    z-index: 1;
  }
  
  /* Media Query for devices withi coarse pointers and no hover functionality */
  
  /* This will use a fallback image instead of a video for devices that commonly do not support the HTML5 video element */
  
  @media (pointer: coarse) and (hover: none) {
    header.video-and-text-header {
      background: url('https://www.aoca.lk/images/video_header.jpg') black no-repeat center center scroll;
    }
  
    header.video-and-text-header video {
      display: none;
    }
  }
  /*video header end*/
  
  /* text on top of the video header start */
  :root {
    --headerOpacity: 1;
    --headerScale: 1;
  }
  
  .text-header {
    position: absolute;
    text-align: center;
    width: 100vw;
    height: 100vh;
  }
  .text-header, .text-header video, .text-header .viewport-header {
    width: 100vw;
    height: 100vh;/*was 100; i changed it because with that text appear below bottom*/
    position: absolute;
    top: 0;
    left: 0;
  }
  .text-header video {
    background: brown;
    object-fit: cover;
  }
  .text-header .viewport-header {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    opacity: var(--headerOpacity);
    transform: scale(var(--headerScale));
  }
  
  html, body {
    height: 100vh;
    overflow-x: hidden;
  }
  
  .video-and-text-header {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 150%;
    line-height: 1.4;
  }
  
  body {
    margin: 0;
  } 
  
  h1.home-h1 {
    font-family: "Syncopate", sans-serif;
    color: white;
    text-transform: uppercase;
    letter-spacing: 3vw;
    line-height: 1.2;
    font-size: 3vw;
    text-align: center;
  }
  h1.home-h1 span {
    display: block;
    font-size: 10vw;
    letter-spacing: -1.3vw;
  }
  
  main {
    background: white;
    position: relative;
    padding: 1rem;
    margin-top: 100vh;
  }
  main::before {
    content: "";
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    top: -100vh;
  }
  main p {
    max-width: 600px;
    margin: 1rem auto;
  }
  
  /* text on top of the video header end */